#import <Cocoa/Cocoa.h>


@interface AppController : NSObject {
	IBOutlet NSTableView *fileList;
	IBOutlet NSTextField *targetDirectory;
	IBOutlet NSTextField *preName;
	IBOutlet NSComboBox *numberFormat;
	IBOutlet NSTextField *startNumber;
	IBOutlet NSComboBox *extensionStyle;
	IBOutlet NSTextField *extensionName;
	
	IBOutlet NSProgressIndicator *progressBar;
	
	NSMutableArray *fileArray;
}

- (IBAction) addFile:(id)sender;
- (IBAction) removeFile:(id)sender;
- (IBAction) setPath:(id)sender;
- (IBAction) changeName:(id)sender;
- (IBAction) setExtesionStyle:(id)sender;

- (void) showAlert:(NSString*) message;
- (BOOL) checkDuplicate:(NSString *)st;

@end
